io.vertx.rxjava.ext.auth.htdigest

## Class HtdigestAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.AuthProvider
  - - io.vertx.rxjava.ext.auth.htdigest.HtdigestAuth

-     public class HtdigestAuth
      extends AuthProvider

  An extension of AuthProvider which is using .htdigest file as store

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<HtdigestAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtdigestAuth(HtdigestAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtdigestAuth` | `create(Vertx vertx)` Creates an instance of HtdigestAuth.
    `static HtdigestAuth` | `create(Vertx vertx, String htfile)` Creates an instance of HtdigestAuth by using the given htfile file.
    `HtdigestAuth` | `getDelegate()`
    `static HtdigestAuth` | `newInstance(HtdigestAuth arg)`
    `String` | `realm()` Return the currently used realm

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.AuthProvider

      `authenticate, authenticateObservable, newInstance, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<HtdigestAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### HtdigestAuth

          public HtdigestAuth(HtdigestAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public HtdigestAuth getDelegate()

      Overrides:
        `getDelegate` in class `AuthProvider`

    - #### create

          public static HtdigestAuth create(Vertx vertx)

      Creates an instance of HtdigestAuth.
      Parameters:
        `vertx` -
      Returns:
        the created instance of `HtdigestAuth`s

    - #### create

          public static HtdigestAuth create(Vertx vertx,
                                            String htfile)

      Creates an instance of HtdigestAuth by using the given htfile file.
      Parameters:
        `vertx` -
        `htfile` - the existing htfile.
      Returns:
        the created instance of `HtdigestAuth`s

    - #### realm

          public String realm()

      Return the currently used realm
      Returns:
        the realm

    - #### newInstance

          public static HtdigestAuth newInstance(HtdigestAuth arg)

Copyright © 2017. All rights reserved.